# Cipher.Mode (sshj 0.4.1 API)
Date: 2011-06-19

## net.schmizz.sshj.transport.cipher
Enum Cipher.Mode

    java.lang.Object
      java.lang.Enum<Cipher.Mode>
          net.schmizz.sshj.transport.cipher.Cipher.Mode

All Implemented Interfaces:
  Serializable, Comparable<Cipher.Mode>

Enclosing interface:
  Cipher

    public static enum Cipher.Mode

extends Enum<Cipher.Mode>

Enum Constant Summary
`Decrypt`
`Encrypt`

Method Summary
`static Cipher.Mode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Cipher.Mode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Encrypt

    public static final Cipher.Mode Encrypt

### Decrypt

    public static final Cipher.Mode Decrypt

Method Detail

### values

    public static Cipher.Mode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Cipher.Mode c : Cipher.Mode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Cipher.Mode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2009-2011. All Rights Reserved.